

#include "BUILTIN.h"

#include "Nat.h"
extern OBJ _ATreeMap_3(OBJ,OBJ);extern OBJ __ATreeMap_3;
extern OBJ _AHeapConv_13(OBJ,OBJ);extern OBJ __AHeapConv_13;

#include "Char.h"
extern OBJ _AHeapMap_5(OBJ,OBJ,OBJ,OBJ);OBJ __AHeapMap_5; /* * */

extern OBJ _AHeapMap_5(OBJ x1,OBJ x2,OBJ x3,OBJ x4) /* * */
{OBJ r;
 FRCLS(x1,1);
 {OBJ x5;
  x5=_ATreeMap_3(x3,x4);
  r=_AHeapConv_13(x2,x5);}
 return r;}

init_AHeapMap()
{
 static int visited=0; if(visited) return; visited=1;
 init_AHeap();
 init_ANat();
 init_AOption();
 init_ASeq();
 init_ATree();
 init_ATreeMap();
 init_AHeapConv();
 init_AString();
 init_AChar();
 init_ARelCmp();
 init_ATreeConv();
 CLS(4,_AHeapMap_5,__AHeapMap_5);}

